精华内容
下载资源
问答
  • Tomcat监控
    千次阅读
    2019-10-23 11:06:46

    在这里插入图片描述
    Tomcat监控方法通常有两种:
    一是自带的监控模块status;
    二是第三方监控工具probe。

    一、Tomcat启动与停止
    Tomcat启动
    ./usr/local/apache‐tomcat‐8.5.31/bin/startup.sh
    Tomcat停止
    ./usr/local/apache‐tomcat‐8.5.31/bin/shutdown.sh

    二、status监控
    使用status监控步骤如下:
    1.配置角色与用户
    配置角色与用户的文件
    usr/local/apache-tomcat-8.5.31/conf/tomcat-users.xml
    配置角色与用户的语法:
    //角色名



    //用户

    角色是指权限,指访问Tomcat的权限
    如果需要监控tomcat,那么需要两类角色权限
    如果是监控server status那么需要的角色权限为manager-gui
    如果需要监控host manage那么需要的角色权限为admin-gui
    配置用户时需要配置其相关角色,简单的来说就配置其对应权限
    2.如果提示403错误
    如果配置好角色之后还是出现403的错误,那么表现我们没有权限去读监控的相关信息,那么需要修改以下两
    个文件中的内容:
    ./webapps/host-manager/meta-inf/context.xml
    ./webapps/manager/meta-inf/context.xml

    将allow的值修改为测试机的IP地址网段
    3.重启tomcat
    ./usr/local/apache‐tomcat‐8.5.31/bin/shutdown.sh
    ./usr/local/apache‐tomcat‐8.5.31/bin/startup.sh
    4.进入监控界面
    Tomcat监控的URL地址
    http://ip:8080
    如:
    http://192.168.40.133:8080/
    如果监控server status
    http://192.168.40.133:8080/manager/status
    如果监控host manage
    http://192.168.40.133:8080/host‐manager/html
    三、probe监控
    使用第三方监控工具的步骤如下:
    1.安装probe
    现在安装的probe的版本是psi-probe
    2.配置角色和用户
    如果只是使用probe进行监控的,那么只需要manager-gui角色即可
    conf/tomcat‐users.xml文件中添加以下代码
    //设置角色名

    //设置用户

    3.重启tomcat服务器
    4.进监控界面
    http://ip:8080/probe
    如:
    http://192.168.40.133:8080/probe/

    监控内容如下:
    1.applications标签页
    显示webapps目录下所有的内容信息,有每个目录的请求数、请求是由那个jsp类生成、所以使用到的jsp
    applications标签页中显示了所有应用程序,我们现在测试的程序是opencarrun
    status列:表示运行的状态
    REQ.列:表示HTTP请求数
    sess.列:表示session数
    JSP列:表示发布程序所有JSP文件
    2.datasources标签页
    表示数据源,我们这里没有设置源
    3.deployment标签页
    表示允许在客户端向服务上传jar文件
    4.logs标签页
    显示日志文件信息,只显示catalina.out文件的日志信息
    5.threads标签页
    显示由tomcat产生的线程,对我们来,一般情况下我们主要关注的线程是http-nio-8080,关注的目的是确定
    http连接器是否能正常的处理我们的请求
    6.cluster标签页
    表示tomcat的集群设置
    7.system标签页
    显示系统相关信息,主要是用于查看JVM内存使用情况
    8.connectors标签页
    表示连接器使用的情况,显示的内容包括:请求数、进程执行时间、处理的字节数

    更多相关内容
  • java tomcat 监控程序

    2017-10-18 18:28:02
    java实现 监听 服务程序 如果程序挂掉 则自动重启程序 并给开发人员发送短信 如有疑问可已咨询1076791016@qq.com 对于线上程序异常又短时寻找不到解决方案的治标之法
  • tomcat监控脚本(支持windows、linux),让tomcat服务器永不宕机
  • Tomcat监控工具Probe 1.Porbe介绍 psi-probe用于对Tomcat进行监控,比tomcat的manager强大很多。 2.下载 probe-2.3.3.zip 或者 probe.war 3.将下载好的war包,或者zip文件,放在tomcat的webapp目录下 4...
  • probe是一款能够监控tomcat的插件,满足性能测试tomcat的需求,包括数据库连接池 Jvm内存 cpu以及系统的一些性能信息,此款插件下载版本为中文版本
  • tomcat监控脚本

    2019-03-01 10:15:28
    tomcat监控脚本,服务宕机自动自启
  • tomcat监控java

    2018-05-18 22:41:56
    tomcat监控java小类,可自行转换为java类进行继续测试测试.....
  • 2、有了问题,我们就需要解决,于是找到这款Tomcat监控神器——probe,通过简单配置,即可在probe的操作界面进行图形化操作,避免我们在黑窗口的很多误操作,提高安全性。 使用文档:...
  • tomcat监控工具probe

    2017-08-29 11:55:57
    probe是一个tomcat监控工具,部署后可实时查看tomcat的运行情况,实时查看项目log,很方便,很强大
  • Zabbix监控实战-Tomcat监控

    万次阅读 2021-03-13 17:40:15
    八、Zabbix监控实战-Tomcat监控 1、方法一:开发java监控页面 [root@qfedu.com tomcat8_1]# cat /application/tomcat/webapps/memtest/meminfo.jsp <% Runtime rtm = Runtime.getRuntime(); long mm = rtm....

    八、Zabbix监控实战-Tomcat监控

    1、方法一:开发java监控页面

    [root@qfedu.com tomcat8_1]# cat /application/tomcat/webapps/memtest/meminfo.jsp 
    <%
    Runtime rtm = Runtime.getRuntime();
    long mm = rtm.maxMemory()/1024/1024;
    long tm = rtm.totalMemory()/1024/1024;
    long fm = rtm.freeMemory()/1024/1024;
    
    out.println("JVM memory detail info :<br>");
    out.println("Max memory:"+mm+"MB"+"<br>");
    out.println("Total memory:"+tm+"MB"+"<br>");
    out.println("Free memory:"+fm+"MB"+"<br>");
    out.println("Available memory can be used is :"+(mm+fm-tm)+"MB"+"<br>");
    %>
    

    2、方法二:使用jps命令进行监控

    [root@qfedu.com ~]# jps -lvm
    
    31906 org.apache.catalina.startup.Bootstrap start -Djava.util.logging.config.file=/application/tomcat8_1/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.endorsed.dirs=/application/tomcat8_1/endorsed -Dcatalina.base=/application/tomcat8_1 -Dcatalina.home=/application/tomcat8_1 -Djava.io.tmpdir=/application/tomcat8_1/temp
    
    31812 org.apache.catalina.startup.Bootstrap start -Djava.util.logging.config.file=/application/tomcat/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.endorsed.dirs=/application/tomcat/endorsed -Dcatalina.base=/application/tomcat -Dcatalina.home=/application/tomcat -Djava.io.tmpdir=/application/tomcat/temp
    
    31932 org.apache.catalina.startup.Bootstrap start -Djava.util.logging.config.file=/application/tomcat8_2/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.endorsed.dirs=/application/tomcat8_2/endorsed -Dcatalina.base=/application/tomcat8_2 -Dcatalina.home=/application/tomcat8_2 -Djava.io.tmpdir=/application/tomcat8_2/temp
    
    32079 sun.tools.jps.Jps -lvm -Denv.class.path=.:/application/jdk/lib:/application/jdk/jre/lib:/application/jdk/lib/tools.jar -Dapplication.home=/application/jdk1.8.0_60 -Xms8m
    

    3、Tomcat 远程监控功能

    1、修改配置文件,开启远程监控

    [root@qfedu.com ~]# vim /application/tomcat8_1/bin/catalina.sh +97
    CATALINA_OPTS="$CATALINA_OPTS
    -Dcom.sun.management.jmxremote 
    -Dcom.sun.management.jmxremote.port=12345  
    -Dcom.sun.management.jmxremote.authenticate=false 
    -Dcom.sun.management.jmxremote.ssl=false 
    -Djava.rmi.server.hostname=10.0.0.17"
    

    2、重启服务,检查12345端口是否开启

    [root@qfedu.com ~]# /application/tomcat8_1/bin/shutdown.sh 
    [root@qfedu.com ~]# /application/tomcat8_1/bin/startup.sh 
    [root@qfedu.com ~]# netstat -tunlp|grep 12345
    

    3、 检查端口

    [root@qfedu.com ~]# netstat -tunlp|grep 12345
    tcp6       0      0 :::12345           :::*          LISTEN      33158/java  
    

    4、在windows上监控tomcat

    注意:windwos需要安装jdk环境!

    查考:http://www.oracle.com/technetwork/java/javase/downloads/index.html

    1、软件路径
    C:\Program Files\Java\jdk1.8.0_31\bin
    jconsole.exe   jvisualvm.exe
    

    2、jconsole.exe 使用说明

    在这里插入图片描述

    连接成功即可进行监控,连接的时候注意端口信息。

    在这里插入图片描述

    3、jvisualvm.exe 使用说明

    在这里插入图片描述
    输入ip地址

    在这里插入图片描述

    主机添加完成,添加JMX监控

    在这里插入图片描述
    注意添加的时候输入端口信息

    在这里插入图片描述

    ​ 添加完成后就能够多tomcat程序进行监控。

    4、zabbix 监控 tomcat 程序

    1、zabbix 服务端安装配置 java监控服务
    [root@qfedu.com ~]# yum install zabbix-java-gateway -y
    
    2、查看配置文件
    配置文件路径:/etc/zabbix/zabbix_java_gateway.conf
    [root@qfedu.com ~]# sed -i -e '220a JavaGateway=127.0.0.1' -e '236a StartJavaPollers=5'  /etc/zabbix/zabbix_server.conf
    
    3、启动zabbix-java-gateway服务,与zabbix服务
    [root@qfedu.com ~]# systemctl start zabbix-java-gateway.service
    [root@qfedu.com ~]# systemctl restart zabbix-server.service
    
    4、检查java端口是否开启
    [root@qfedu.com ~]# netstat -lntup |grep java
    tcp6       0      0 :::10052   :::*    LISTEN      72971/java  
    
    5、检查java进程是否存在
    [root@qfedu.com ~]# ps -ef |grep [j]ava
    zabbix    72971      1  0 11:29 ?        00:00:00 java -server -Dlogback.configurationFile=/etc/zabbix/zabbix_java_gateway_logback.xml -classpath lib:lib/android-json-4.3_r3.1.jar:lib/logback-classic-0.9.27.jar:lib/logback-core-0.9.27.jar:lib/slf4j-api-1.6.1.jar:bin/zabbix-java-gateway-3.0.13.jar -Dzabbix.pidFile=/var/run/zabbix/zabbix_java.pid -Dzabbix.timeout=3 -Dsun.rmi.transport.tcp.responseTimeout=3000 com.zabbix.gateway.JavaGateway
    zabbix    73255  73226  0 11:35 ?        00:00:00 /usr/sbin/zabbix_server: java poller #1 [got 0 values in 0.000002 sec, idle 5 sec]
    zabbix    73256  73226  0 11:35 ?        00:00:00 /usr/sbin/zabbix_server: java poller #2 [got 0 values in 0.000002 sec, idle 5 sec]
    zabbix    73257  73226  0 11:35 ?        00:00:00 /usr/sbin/zabbix_server: java poller #3 [got 0 values in 0.000002 sec, idle 5 sec]
    zabbix    73258  73226  0 11:35 ?        00:00:00 /usr/sbin/zabbix_server: java poller #4 [got 0 values in 0.000002 sec, idle 5 sec]
    zabbix    73259  73226  0 11:35 ?        00:00:00 /usr/sbin/zabbix_server: java poller #5 [got 0 values in 0.000004 sec, idle 5 sec]
    
    6、web界面添加
    1、添加主机

    在这里插入图片描述
    2、主机管理模板,注意是JMX模板

    在这里插入图片描述
    3、监控完成

    在这里插入图片描述

    5、排除 tomcat 故障步骤

    1、查看 catalina.out
    2、使用 sh show-busy-java-threads.sh 脚本进行检测
    #!/bin/bash
    # @Function
    # Find out the highest cpu consumed threads of java, and print the stack of these threads.
    #
    # @Usage
    #   $ ./show-busy-java-threads.sh
    #
    # @author Jerry Lee
    
    readonly PROG=`basename $0`
    readonly -a COMMAND_LINE=("$0" "$@")
    
    usage() {
        cat <<EOF
    Usage: ${PROG} [OPTION]...
    Find out the highest cpu consumed threads of java, and print the stack of these threads.
    Example: ${PROG} -c 10
    
    Options:
        -p, --pid       find out the highest cpu consumed threads from the specifed java process,
                        default from all java process.
        -c, --count     set the thread count to show, default is 5
        -h, --help      display this help and exit
    EOF
        exit $1
    }
    
    readonly ARGS=`getopt -n "$PROG" -a -o c:p:h -l count:,pid:,help -- "$@"`
    [ $? -ne 0 ] && usage 1
    eval set -- "${ARGS}"
    
    while true; do
        case "$1" in
        -c|--count)
            count="$2"
            shift 2
            ;;
        -p|--pid)
            pid="$2"
            shift 2
            ;;
        -h|--help)
            usage
            ;;
        --)
            shift
            break
            ;;
        esac
    done
    count=${count:-5}
    
    redEcho() {
        [ -c /dev/stdout ] && {
            # if stdout is console, turn on color output.
            echo -ne "\033[1;31m"
            echo -n "$@"
            echo -e "\033[0m"
        } || echo "$@"
    }
    
    yellowEcho() {
        [ -c /dev/stdout ] && {
            # if stdout is console, turn on color output.
            echo -ne "\033[1;33m"
            echo -n "$@"
            echo -e "\033[0m"
        } || echo "$@"
    }
    
    blueEcho() {
        [ -c /dev/stdout ] && {
            # if stdout is console, turn on color output.
            echo -ne "\033[1;36m"
            echo -n "$@"
            echo -e "\033[0m"
        } || echo "$@"
    }
    
    # Check the existence of jstack command!
    if ! which jstack &> /dev/null; then
        [ -z "$JAVA_HOME" ] && {
            redEcho "Error: jstack not found on PATH!"
            exit 1
        }
        ! [ -f "$JAVA_HOME/bin/jstack" ] && {
            redEcho "Error: jstack not found on PATH and $JAVA_HOME/bin/jstack file does NOT exists!"
            exit 1
        }
        ! [ -x "$JAVA_HOME/bin/jstack" ] && {
            redEcho "Error: jstack not found on PATH and $JAVA_HOME/bin/jstack is NOT executalbe!"
            exit 1
        }
        export PATH="$JAVA_HOME/bin:$PATH"
    fi
    
    readonly uuid=`date +%s`_${RANDOM}_$$
    
    cleanupWhenExit() {
        rm /tmp/${uuid}_* &> /dev/null
    }
    trap "cleanupWhenExit" EXIT
    
    printStackOfThread() {
        local line
        local count=1
        while IFS=" " read -a line ; do
            local pid=${line[0]}
            local threadId=${line[1]}
            local threadId0x=`printf %x ${threadId}`
            local user=${line[2]}
            local pcpu=${line[4]}
    
            local jstackFile=/tmp/${uuid}_${pid}
    
            [ ! -f "${jstackFile}" ] && {
                {
                    if [ "${user}" == "${USER}" ]; then
                        jstack ${pid} > ${jstackFile}
                    else
                        if [ $UID == 0 ]; then
                            sudo -u ${user} jstack ${pid} > ${jstackFile}
                        else
                            redEcho "[$((count++))] Fail to jstack Busy(${pcpu}%) thread(${threadId}/0x${threadId0x}) stack of java process(${pid}) under user(${user})."
                            redEcho "User of java process($user) is not current user($USER), need sudo to run again:"
                            yellowEcho "    sudo ${COMMAND_LINE[@]}"
                            echo
                            continue
                        fi
                    fi
                } || {
                    redEcho "[$((count++))] Fail to jstack Busy(${pcpu}%) thread(${threadId}/0x${threadId0x}) stack of java process(${pid}) under user(${user})."
                    echo
                    rm ${jstackFile}
                    continue
                }
            }
            blueEcho "[$((count++))] Busy(${pcpu}%) thread(${threadId}/0x${threadId0x}) stack of java process(${pid}) under user(${user}):"
            sed "/nid=0x${threadId0x} /,/^$/p" -n ${jstackFile}
        done
    }
    
    
    ps -Leo pid,lwp,user,comm,pcpu --no-headers | {
        [ -z "${pid}" ] &&
        awk '$4=="java"{print $0}' ||
        awk -v "pid=${pid}" '$1==pid,$4=="java"{print $0}'
    } | sort -k5 -r -n | head --lines "${count}" | printStackOfThread
    

    展开全文
  • Tomcat监控监控多个Apache Tomcat服务器的性能可能是一个巨大的挑战,特别是在大型分布式环境中。通过提供对Tomcat服务器的性能、可用性和使用情况的深入可见性,Tomcat监控软件可以帮助克服这一挑战。另外,虽然...

    Tomcat监控

    监控多个Apache Tomcat服务器的性能可能是一个巨大的挑战,特别是在大型分布式环境中。通过提供对Tomcat服务器的性能、可用性和使用情况的深入可见性,Tomcat监控软件可以帮助克服这一挑战。另外,虽然大多数Apache Tomcat监控工具会在出现性能问题时生成通知,但理想的Tomcat监控工具不仅会发出警告,而且还会全面洞察问题的根本原因,并帮助您快速解决这些问题。

    在目前可用的众多Tomcat监控工具中,Application Manager是理想的Tomcat服务器监控软件,由于其易用性、高效的监控功能和可承受的价格,全球数千IT管理员都首选它。大多数Tomcat管理工具只提供数据库的运行状况和可用性统计信息,与它们不同,Application Manager的Tomcat Monitor提供深入的Tomcat性能监控,提供大量的性能指标,并在宕机时触发通知。

    24/7对Apache Tomcat进行深入的监控

    监控Tomcat服务器性能,并通过测量CPU、内存和JVM使用情况以及响应时间来确保最佳的资源分配。使用关键的应用性能参数(如web应用的实时会话、JDBC连接池和线程池)跟踪应用性能,并借助Application Manager的Apache Tomcat监控。

    002eb5565ad31b76d34cb4e1587af449.png

    fd1b765a35b57a18b40daebc19d2205c.png

    a52922ba05ae42ec977557c572d8eca9.png

    监控Tomcat内存使用情况

    Application Manager的Tomcat监控允许您监控Tomcat内存使用情况,检测内存泄漏,并通过触发垃圾收集和获取堆转储来解决性能问题;这样应用团队就可以永久地解决这些问题。Tomcat监控器允许您自动化线程或堆转储生成和垃圾收集等操作,以减少故障排除所花费的时间。通过这种方式,您可以避免业务运行过程中昂贵的停机时间或部署计划的延迟。

    e2b6ac203815f8e6012ac7cbeae263dd.png

    通过Tomcat监控对JDBC池进行微调,以获得最佳性能

    通过适当调优Tomcat服务器的JDBC连接池设置,增加Tomcat服务器的负载处理能力并提高其性能。避免超时,最大化硬件吞吐量,减少垃圾收集负载。减少加载经常使用的对象所需的时间,从而减少不必要的开销。

    8081f6aff6f9a1b541405a0aa0fd1f6c.png

    查看Application Manager如何满足Tomcat监控需求。现在就安排个性化的演示!

    使用Tomcat线程池监控器查看线程使用统计信息

    通过在Tomcat线程池监控器选项卡中跟踪线程池的使用统计信息来监控Tomcat服务器性能,以防止死锁和线程池耗尽。使用Application Manager的Tomcat服务器监控功能,您还可以自动化和调度线程转储,以识别与该线程相关的有问题的代码。

    c2c73a47929d3f3e86a3e82dcc127506.png

    监控在Tomcat上部署的应用的最终用户体验

    使用Application Manager的APM洞察力来超越常规的Apache Tomcat监控。捕获带有显示事务元素的故障的web事务,并为违反配置的阈值的事务生成跟踪。监控Tomcat服务器的JVM详细信息,捕获错误跟踪,并识别导致响应时间变慢的SQL语句。查看应用的Apdex评分,了解客户满意度。

    apminsight-overview.PNG

    apminsight-transactions.PNG

    跟踪Tomcat服务器上托管的web应用状态

    监控Tomcat服务器上托管的web应用的状态,以检测性能问题。捕获应用的活动会话数量和平均响应时间等重要指标,使您能够快速了解web应用方面的情况以及Tomcat服务器性能参数。

    0de1c71a5a12a3c2cf28624513df43e3.png

    智能报告和可定制的仪表板。

    使用补充性能洞察力的分析来完成Tomcat监控目标。生成基于属性的性能报告来测量服务器的性能,并使用基于机器学习的性能预测来预测未来的增长和使用趋势。

    cf9dbb26eb868722aa7f066841998f26.png

    如果您正在寻找Tomcat监控软件,Application Manager可以满足您的IT需求。由于具有用于监控、警报和应用分析的功能强大的集成控制台,Application Manager是Apache Tomcat监控的理想解决方案。它允许您监控Apache Tomcat,并最大限度地提高应用性能,并提供快速故障诊断的见解,这对于向最终用户提供不间断服务至关重要,使其成为目前可用的最佳Tomcat监控工具。

    展开全文
  • tomcat 实时监控工具

    2018-08-17 09:33:04
    解压后将jar包放到tomcat webapp下则可以直接使用probe进行tomcat下项目的管理以及数据源监控
  • Tomcat应用服务器是目前最为流行的Servlet/JSP容器,目前大部分JSP程序运行在Tomcat上,具有大量的软件运行实例和环境。Tomcat采用纯JAVA开发,它运行在JVM...在进行Tomcat监控时,要监控哪些内容呢?首先最重要的...

    Tomcat应用服务器是目前最为流行的Servlet/JSP容器,目前大部分JSP程序运行在Tomcat上,具有大量的软件运行实例和环境。Tomcat采用纯JAVA开发,它运行在JVM(JAVA虚拟机之上),对内存使用要求较高,一旦内存超标则Tomcat会死掉或无响应。使用服务器监控软件对Tomcat进行统一监控是管理Tomcat的重要手段。在进行Tomcat监控时,要监控哪些内容呢?

    首先最重要的是监控——JAVA虚拟机内存分配和使用情况

    JAVA虚拟机在给Tomcat本身和用户的WEB应用分配内存时基于最大内存和已分配内存慢慢上升分配的方法分配内存,如果内存达到最大同时已分配内存已经用尽,则Tomcat将无法进行响应。这一部分的主要指标有:

    Java可分配最大内存;

    JAVA已分配内存;

    当前实际使用内存;

    JVM内存使用率。

    4310feeb00edb0765ae1418367e921d9.png

    file20171004145318_yDVP6XNKHem09A8m.jpg

    如上图是在SUM服务器监控软件(点击打开软件介绍)的实际监控效果,我们看到该TOMCAT的最大可分配内存为14G,当前已经分配7G,已使用5G左右,内存使用率为71%。对于实际应用来说这一Tomcat需要大量内存,但目前运行良好。每一个指标均有长期的历史记录,以便分析。如下图:

    2fbcbaeeba556447595b67e1b3424d05.png

    其次是监控Tomcat线程池

    Tomcat的线程池作为Tomcat处理请求的工作线程数量,一时用尽,则系统响无法进行新的请求。因此监控Tomcat的线程池并在达到一定的上限后进行短信报警或邮件报警,是非常必须的。线程数也是Tomcat同时处理请求的数,也真实的并发数。

    d54d3638ef568443b54c43ffd566e7c1.png

    如上图是在SUM服务器监控软件(点击打开软件介绍),我们看到当前繁忙线程数,这一监控指标,它是反应当前Tomcat特定的连接器正在并发处理的请求数。这个值一般不能达到或超过最大线程数的4/5,另一个指标也当前线程数,这个值是用于长期定位TOMCAT的最大并发数的重要指标,这个值随着负载的增减会一直上升,但它会升到一定时候就不会再增加,除非负载剧增。这个指标也是反应Tomcat长期负载和最大负载的重要指标之一。这个值也不可以接近最大线程 。

    展开全文
  • 【运维-tomcat监控

    千次阅读 2022-03-27 18:19:19
    运维之Tomcat监控 背景 Tomcat作为常用的web容器,经常需要对tomcat 的状态进行监控,为了安全起见,自带的管理页面通常在生成环境里是要被删除掉的,于是用脚本方式定时获取Tomcat的状态信息。 状态信息包括:进程...
  • tomcat监控probe3.0

    2015-12-08 09:27:23
    可以监测tomcat设置的内存是否生效,监测当前使用的内存和剩余内存,监测当前在线用户量。不错的工具,作为一个tomcat的web项目运行,不需要额外安装插件和程序。登录用户直接使用tomcat的用户,请有conf\tomcat_...
  • 浅谈tomcat监控配置

    2020-06-25 16:19:57
    一 配置tomcat监控后台 1.在tomcat目录/usr/tomcat_proj/apache-tomcat-9.0.36/conf下,给tomcat-users.xml文件添加如下内容: <role rolename="admin-gui"/> <role rolename="admin-script"/> <...
  • Tomcat 监控指标

    千次阅读 2019-10-10 20:52:34
    Tomcat 监控指标列表 监测点 监测指标 指标含义 Tomcat 发送字节() 发送的字节数 接收字节() 收到的字节数 ...
  • NULL 博文链接:https://yhq1212.iteye.com/blog/2030342
  • Status页对Tomcat监控的步骤如下: 步骤1:修改配置文件tomcat-users(该文件在Tomcat安装程序根目录中的conf文件夹中),添加一个admin设置权限,在中添加的内容如下: 步骤2:修改完成后,重启Tomcat服务器...
  • windows下实现tomcat监控并自动启动服务-附件资源
  • Tomcat监控工具
  • windows下的tomcat监控

    2019-03-23 01:02:06
    NULL 博文链接:https://xhmaomy-163-com.iteye.com/blog/1033811
  • tomcat 监控 probe, 一款能够监控tomcat的插件,满足性能测试tomcat的需求,包括数据库连接池 Jvm内存 cpu以及系统的一些性能信息
  • 发布probe.war文件到 Tomcat 服务器的 webapps 目录下. 支持的Tomcat 服务器版本: 5.0, 5.5, 6.0. 还有一个地方需要设置, 在 conf/tomcat-users.xml 中添加 manager 账户, probe 需要这个账户才能正确登录使用. 如果...
  • 脚本调用: ./tomcat_monitor -u admin -p admin -h 127.0.0.1 -P 8080 返回信息: { "static_tomcat_version":8, "tomcat_server_status":1, "application0":{ "status":"running", "path":"/app1", "active_...
  • Tomcat监控工具Probe

    千次阅读 2018-11-14 16:42:06
    Tomcat监控工具Probe 1.Porbe介绍 psi-probe用于对Tomcat进行监控,比tomcat的manager强大很多。 2.下载 probe-2.3.3.zip 或者 probe.war  3.将下载好的war包,或者zip文件,放在tomcat的webapp目录下 4.配置...
  • springboot2.1.1 引入spring-actuator2.1.1 监控tomcat指标NaN问题: github相关issue: ...springboot2.1.1引入spring-actuator2.1.1 tomcat监控指标返回NaN 源码NaN打印位置: s
  • tomcat监控工具-probe3.0

    2018-04-17 18:11:50
    实时tomcat监测工具prode3.0,支持中文显示,亲测可用。支持tomcat8.0
  • tomcat监控probe

    2017-09-21 18:07:57
    原来名称为LambdaProbe只支持到tomcat6,现在命名为PSIProbe,此版本支持tomcat+,亲测tomcat8.5完美监测。

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 88,942
精华内容 35,576
关键字:

tomcat 监控

友情链接: avr_lib_mcp23017_01.zip